xAI有料

Grok 4.1 Fast Non Reasoning

APIモデル名: grok-4.1-fast-non-reasoning

Grok 4.1 Fast Non ReasoningはxAIのチャットモデルで、Api.Airforceの統合APIで提供されています。 2Mトークンのコンテキストウィンドウを備えています。 テキストに加えて、imageを入力として受け付けます。 機能にはビジョン, ツール呼び出し, プロンプトキャッシングが含まれます。 料金は入力100万トークンあたり¥29、出力100万トークンあたり¥29です。 これはプロバイダーの公式入力レート¥32を下回っています。 知識のカットオフ:2025-09。 1つのキーでOpenAI互換APIを通じてアクセスでき、Api.Airforce上の他の65以上のモデルと併せて利用できます。

料金

入力 / 1Mトークン
≈ ¥29
出力 / 1Mトークン
≈ ¥29
公式入力レート
≈ ¥32

Api.Airforceの料金とプロバイダーの公式レートの比較。

仕様

プロバイダー
xAI
タイプ
チャットモデル
コンテキストウィンドウ
2M トークン
最大出力
33K トークン
知識のカットオフ
2025-09
入力
text, image
出力
text

機能

ビジョンツール呼び出しプロンプトキャッシングストリーミング

APIでGrok 4.1 Fast Non Reasoningを利用する

OpenAI互換 — 任意のOpenAI SDKをhttps://api.airforce/v1に向け、grok-4.1-fast-non-reasoningをモデルとして渡してください。

cURL
curl https://api.airforce/v1/chat/completions \
  -H "Authorization: Bearer $AIRFORCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "grok-4.1-fast-non-reasoning",
    "messages": [{ "role": "user", "content": "Hello!" }]
  }'
Python
from openai import OpenAI
client = OpenAI(base_url="https://api.airforce/v1", api_key="$AIRFORCE_API_KEY")
r = client.chat.completions.create(
    model="grok-4.1-fast-non-reasoning",
    messages=[{"role": "user", "content": "Hello!"}],
)
print(r.choices[0].message.content)
JavaScript
import OpenAI from "openai";
const client = new OpenAI({ baseURL: "https://api.airforce/v1", apiKey: process.env.AIRFORCE_API_KEY });
const r = await client.chat.completions.create({
  model: "grok-4.1-fast-non-reasoning",
  messages: [{ role: "user", content: "Hello!" }],
});
console.log(r.choices[0].message.content);

リアルタイムパフォーマンス

このモデルを提供するサプライヤー全体での実際のスループットとレイテンシ。

リアルタイムメトリクスを読み込み中…

関連モデル